# PUT /api/v1/inventory/shipments/{id}

> Update shipment

- **Tag:** inventory:shipments
- **Operation ID:** `update_shipment_api_v1_inventory_shipments__id__put`

## Description

Update a shipment's details.

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Parameters

- `id` (path, string, required)

## Request body

Schema: `ShipmentUpdateRequest`

- `fees` (array · Fee) — Updated fees.
- `status` (string) — Updated status.
- `line_items` (array · LineItem) — Updated items.
- `description` (string) — Updated notes.
- `tracking_number` (string) — Updated tracking.
- `expected_arrival_date` (string · date-time) — Updated arrival date.
- `shipped_date` (string · date-time) — Updated ship date.
- `location_id` (string) — Updated destination location.
- `version` (integer) — Version for optimistic locking.

## Responses

### 200 — Successful Response

Schema: `ShipmentResponse`

- `id` (string · required) — Shipment UUID.
- `business_id` (string · required) — Business UUID.
- `status` (string · required) — Shipment status.
- `fees` (array · Fee · required) → `Fee` — Shipment fees.
  - `name` (string) — Fee name (e.g., 'Shipping', 'Handling').
  - `description` (string) — Fee description (alternative to name).
  - `amount` (integer · required) — Fee amount in cents.
- `line_items` (array · object · required) — Items in shipment.
- `description` (string) — Notes.
- `tracking_number` (string) — Tracking number.
- `expected_arrival_date` (string · date-time) — Expected delivery.
- `shipped_date` (string · date-time) — Ship date.
- `location_id` (string) — Destination location ID.
- `location_name` (string) — Destination location name.
- `created_at` (string · date-time · required) — Created timestamp.
- `updated_at` (string · date-time · required) — Updated timestamp.
- `version` (integer) — Version for optimistic locking.

### 422 — Validation Error

Schema: `HTTPValidationError`

- `detail` (array · ValidationError) → `ValidationError`
  - `loc` (array · string | integer · required)
  - `msg` (string · required)
  - `type` (string · required)
  - `input` (object)
  - `ctx` (object)

## Code samples

### cURL

```bash
curl -X PUT 'https://api.ondayzero.com/api/v1/inventory/shipments/{id}' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID' \
  -H 'Content-Type: application/json' \
  -d '{
  "fees": [],
  "status": "string",
  "line_items": [],
  "description": "string",
  "tracking_number": "string",
  "expected_arrival_date": "2026-01-01T00:00:00Z"
}'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/inventory/shipments/{id}', {
  method: 'PUT',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
  "fees": [],
  "status": "string",
  "line_items": [],
  "description": "string",
  "tracking_number": "string",
  "expected_arrival_date": "2026-01-01T00:00:00Z"
}),
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

payload = {
  "fees": [],
  "status": "string",
  "line_items": [],
  "description": "string",
  "tracking_number": "string",
  "expected_arrival_date": "2026-01-01T00:00:00Z"
}

response = httpx.put("https://api.ondayzero.com/api/v1/inventory/shipments/{id}", headers=headers, json=payload)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/inventory-shipments/update-shipment
- OpenAPI slice: https://www.ondayzero.com/docs/reference/inventory-shipments/update-shipment/openapi.json
- Other endpoints in **inventory:shipments**: https://www.ondayzero.com/docs/reference/inventory-shipments
